> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View all donations



## OpenAPI

````yaml post /admin/donations/{all}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donations/{all}:
    post:
      tags:
        - Donations
      summary: View all donations
      operationId: cacdc201d0cc38702dc2356884f69a63
      parameters:
        - name: all
          in: path
          description: Flag to get all donations
          required: true
          schema:
            type: boolean
      requestBody:
        description: Data needed to view all donations
        required: true
        content:
          application/json:
            schema:
              properties:
                client_id:
                  type: string
                  example: '1'
                date_from:
                  type: string
                  format: date
                  example: '2022-01-01'
                date_to:
                  type: string
                  format: date
                  example: '2022-12-31'
                pageSize:
                  type: integer
                  example: 10
                pageIndex:
                  type: integer
                  example: 1
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  donations:
                    type: array
                    items:
                      type: object
                  organization:
                    type: string
                    example: Organization Name
                  number_of_allDonations:
                    type: integer
                    example: 100
                  number_of_donations:
                    type: integer
                    example: 10
                  total_of_donations:
                    type: string
                    example: '1000'
                  donation_graph_data:
                    type: array
                    items:
                      type: object
                  fields:
                    type: array
                    items:
                      type: object
                  date_from:
                    type: string
                    format: date
                    example: '2022-01-01'
                  date_to:
                    type: string
                    format: date
                    example: '2022-12-31'
                  all:
                    type: boolean
                    example: false
                  hysform:
                    type: object
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: The given data was invalid
                  errors:
                    type: object
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````